Subject: -fpcc-struct-return
From: [email-masked] (Mikey)

25 Sep 1997 13:19:15 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Hi Geoff ;^),

Recently while trying to create a set of headers
to allow gcc to work with msvcrt.dll, I discovered
that msvcrt.dll returns div_t, and ldiv_t in
registers.

I was kind of surprised when I realized that the
cygwin32 gcc default is -fpcc-struct-return.

I believe that VC++ normally returns short structs in
registers, (I could be wrong ;^) but if that is the case
shouldn't the gcc default be -freg-struct-return?
([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".